Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnStringHeader Class Reference

gnStringHeader stores sequence related header information in memory. More...

`#include <gnStringHeader.h>`

Inheritance diagram for gnStringHeader:

List of all members.

## Public Member Functions
| gnStringHeader ()
| Empty constructor.
| gnStringHeader (const string &name, const string &header)
| Create a gnStringHeader.
| gnStringHeader (const gnStringHeader &s)
| Copy constructor.
| ~gnStringHeader ()
| Destructor, frees memory.
gnStringHeader * | Clone () const
string | GetHeader () const
| Get the header.
string | GetHeaderName () const
| Get the header's name, if any.
void | SetHeader (const string &header)
| Set the header stored in this class.
void | SetHeaderName (const string &name)
| Set the header's name stored in this class.
uint32 | GetLength () const
| Get the header's length in bytes.
## Private Attributes
string | m_name
string | m_header

## Detailed Description

gnStringHeader stores sequence related header information in memory.

Use gnStringHeader for a general purpose headers.

See also:
  gnBaseHeader

Definition at line 27 of file gnStringHeader.h.

## Constructor & Destructor Documentation

gnStringHeader::gnStringHeader | ( |  | ) | `[inline]`

| Empty constructor. Definition at line 73 of file gnStringHeader.h. References m_header. Referenced by Clone().

gnStringHeader::gnStringHeader | ( | const string & | name,
|  | const string & | header
| ) | `[inline]`

  | Create a gnStringHeader. Parameters:
  name | The header name.
  header | The header.
Definition at line 77 of file gnStringHeader.h. References m_header, and m_name.

gnStringHeader::gnStringHeader | ( | const gnStringHeader & | s | ) | `[inline]`

  | Copy constructor. Parameters:
  s | The gnStringHeader to copy.
Definition at line 82 of file gnStringHeader.h. References m_header.

gnStringHeader::~gnStringHeader | ( |  | ) | `[inline]`

| Destructor, frees memory. Definition at line 48 of file gnStringHeader.h.

## Member Function Documentation

gnStringHeader * gnStringHeader::Clone | ( |  | ) | const`[inline, virtual]`

| Implements gnBaseHeader. Definition at line 86 of file gnStringHeader.h. References gnStringHeader().

string gnStringHeader::GetHeader | ( |  | ) | const`[inline, virtual]`

| Get the header. Returns: The header as a string. Implements gnBaseHeader. Definition at line 90 of file gnStringHeader.h. References m_header.

string gnStringHeader::GetHeaderName | ( |  | ) | const`[inline, virtual]`

| Get the header's name, if any. Returns: The header name as a string. Implements gnBaseHeader. Definition at line 94 of file gnStringHeader.h. References m_name.

uint32 gnStringHeader::GetLength | ( |  | ) | const`[inline, virtual]`

| Get the header's length in bytes. Returns: The length of the header. Implements gnBaseHeader. Definition at line 106 of file gnStringHeader.h. References m_header, and uint32.

void gnStringHeader::SetHeader | ( | const string & | header | ) | `[inline]`

  | Set the header stored in this class. Parameters:
  header | The header as a string.
Definition at line 98 of file gnStringHeader.h. References m_header.

void gnStringHeader::SetHeaderName | ( | const string & | name | ) | `[inline]`

  | Set the header's name stored in this class. Parameters:
  name | The header name as a string.
Definition at line 102 of file gnStringHeader.h. References m_name.

## Member Data Documentation

string gnStringHeader::m_header`[private]`

| Definition at line 69 of file gnStringHeader.h. Referenced by GetHeader(), GetLength(), gnStringHeader(), and SetHeader().

string gnStringHeader::m_name`[private]`

| Definition at line 68 of file gnStringHeader.h. Referenced by GetHeaderName(), gnStringHeader(), and SetHeaderName().

The documentation for this class was generated from the following file:

- gnStringHeader.h